summaryrefslogtreecommitdiff
path: root/package/kbd/files/kbd.init
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-09-14 18:48:17 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2011-09-14 18:48:17 +0200
commitd9bb269a252853fd6a59aa6aaa190c5d8614acc8 (patch)
tree388c1442d61d535a7e2a7587e306fdac07597e51 /package/kbd/files/kbd.init
parent476d4ff7d822e2e822dd6da36178c327fff59eba (diff)
parent5eff21ca1834a2d820c445d72076156a84950f12 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'package/kbd/files/kbd.init')
-rw-r--r--package/kbd/files/kbd.init26
1 files changed, 26 insertions, 0 deletions
diff --git a/package/kbd/files/kbd.init b/package/kbd/files/kbd.init
new file mode 100644
index 000000000..3745e67d0
--- /dev/null
+++ b/package/kbd/files/kbd.init
@@ -0,0 +1,26 @@
+#!/bin/sh
+#PKG kbd
+#INIT 10
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${kbd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ loadkeys /etc/${kbd_map}.map
+ ;;
+stop)
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?